
QGIS Application - Bug report #20356

QGIS 3.4 crashes right after opening a windows explorer file picker window

2018-11-04 05:43 PM - Josh Rosenthal

Status: Closed

Priority: High

Assignee:

Category: Windows Package

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28177

Description

User Feedback

Crash occurs whenever qgis goes to a windows explorer file picker window.  UI stays interactive for a moment, and then freezes, then you

get the crash message.  - eg: layout : export as pdf, layout : image item properties : select image path, map : export as image, etc.  Map :

Open From crashes, but doesn't show the crash reporter window.

Clicking quickly to select or enter a filename before the crash doesn't work - still crashes

QGIS 3.4 installed via standalone worked fine for a few days (built map, numerous exports etc), then started the crashes preventing me

from exporting my map.  I installed the OSGeo4W version and for a time ran that successfully, then the crashes started there too.

Things I've tried:

Uninstalled, revo uninstaller to clean up registry, cccleaner for the same, deleted profile from user/APPDATA

1) Any advice of how to get qgis working properly (not crashing on export as pdf) or 

2) Any way to export as pdf via a command line option that doesn't involve a file picker?

Below are a few different stack traces from different crashes in case thats helpful

h2. 1) Report Details from crash at Layout Export to PDF

Crash ID: b698ac1db19710a8915a9eb09597fc1faeecc120

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :
NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: commit:4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

2) Report Details from selecting vector layer data source

Crash ID: b698ac1db19710a8915a9eb09597fc1faeecc120

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :
RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.0-Madeira

QGIS code revision: 4a4b62ed19

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 18260: qgis 3 crashes at start Closed 2018-02-28

History

#1 - 2018-11-04 07:04 PM - Josh Rosenthal

- File qgis_crash_onmap_export2pdfDELL-7F8K362.LOG added

Another stack trace, this time from map: export to pdf.  Also, attached is a debugview log (though there were no messages between initiating the save as

interface and the crash, so this may be of limited use

Crash ID: bfeccad7d29abebecd4757380183e4ac9ae87f61

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

Ordinal67 :

CoGetProcessIdentifier :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

Ordinal112 :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoGetProcessIdentifier :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :
SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

NeverProvidedByJunction :

NeverProvidedByJunction :

Ordinal873 :

NeverProvidedByJunction :

NeverProvidedByJunction :

DllCanUnloadNow :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: 15b2352ea2

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#2 - 2018-11-04 08:22 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test with 3.4.1

#3 - 2018-11-04 08:45 PM - Saber Razmjooei

- Assignee deleted (Jürgen Fischer)

#4 - 2018-11-04 09:48 PM - Josh Rosenthal

Same issue occurs in 3.4.1, 3.5 dev, and 3.4.0

#5 - 2018-11-04 11:00 PM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2018-11-04 11:07 PM - Nyall Dawson

- Status changed from Open to Rejected

- Resolution set to up/downstream
This almost certainly a local issue only - see #19962 for debugging steps for a similar crash caused by other software installed on the workstation.

#7 - 2018-11-05 01:06 AM - Josh Rosenthal

Confirmed, followed the #19962 debugging steps.  I used ShellExView to view and disable all non microsoft shell extensions, and then qgis worked

properly.  Thank you!

#8 - 2018-11-16 02:31 PM - Jürgen Fischer

- Status changed from Rejected to Closed

- Resolution changed from up/downstream to duplicate

#9 - 2018-11-16 02:31 PM - Jürgen Fischer

- Duplicates Bug report #18260: qgis 3 crashes at start added

#10 - 2019-02-07 01:32 PM - Felipe  Souza

- File QGIS_CRASH_SOLUTION.png added

Josh Rosenthal wrote:

Confirmed, followed the #19962 debugging steps.  I used ShellExView to view and disable all non microsoft shell extensions, and then qgis worked

properly.  Thank you!

I had the same problem and it was solved using ShellExView. Same thing. I installed it, under Options - Hide All Microsoft Extensions. Then Control + A to

check all files, right mouse button and 'DISABLE SELECTED ITEMS'.

Thank you!

Files

qgis_crash_onmap_export2pdfDELL-7F8K362.LOG 166 KB 2018-11-04 Josh Rosenthal

QGIS_CRASH_SOLUTION.png 90.9 KB 2019-02-07 Felipe  Souza
